﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinSchedule;

namespace UltraGanttViewWithReminder
{
    public partial class ReminderDialog : Form
    {
        private object dataSource;

        public object DataSource
        {
            get { return dataSource; }
            set 
            {
                if (value != null && value != dataSource)
                {
                    this.ultraGrid1.DataSource = value;
                    dataSource = value; 
                }
                
            }
        }


        public ReminderDialog()
        {
            InitializeComponent();
            ultraComboEditor1.SelectedIndex = 2;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
            e.Layout.Bands[0].Columns["Task"].Hidden = true;
        }

        private void ultraGrid1_AfterSelectChange(object sender, Infragistics.Win.UltraWinGrid.AfterSelectChangeEventArgs e)
        {
           
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            this.ulbTaskName.Text = e.Row.Cells[0].Text;
            this.ulbStartDate.Text = e.Row.Cells[1].Text;
            this.ulbDuration.Text = e.Row.Cells[2].Text;
            
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            ((Task)ultraGrid1.ActiveRow.Cells["Task"].Value).Tag = null;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                ((Task)ultraGrid1.ActiveRow.Cells["Task"].Value).Tag = null;
            }
        }

        private void ultraButton3_Click(object sender, EventArgs e)
        {
            ((Reminder)((Task)ultraGrid1.ActiveRow.Cells["Task"].Value).Tag).DisplayInterval = (int)ultraComboEditor1.SelectedItem.DataValue;
        }

    }
}
